cl.cromer.estructuras

## Class ListaEnlazada.Tipos

- java.lang.Object
- - cl.cromer.estructuras.ListaEnlazada.Tipos

Enclosing class:
  ListaEnlazada

    public static final class ListaEnlazada.Tipos
    extends java.lang.Object

Esta clase contiene los arbolTipo de listas enlazadas.

Author:
  Chris Cromer

### Field Summary

Fields
`static int` `CIRCULAR` Tipo circular.
`static int` `DOBLEMENTE_ENLAZADA` Tipo doblemente enlazada.
`static int` `SIMPLE` Tipo simple.
`private int` `tipo` El tipo elegido.

### Constructor Summary

Constructors
Constructor and Description
`Tipos(int tipo)` Inicilizar el tipo de lista enlazada.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTipo()` Devolver el tipo de lista enlazada.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIMPLE

    public static final int SIMPLE

Tipo simple.

See Also:
  Constant Field Values

#### CIRCULAR

    public static final int CIRCULAR

Tipo circular.

See Also:
  Constant Field Values

#### DOBLEMENTE_ENLAZADA

    public static final int DOBLEMENTE_ENLAZADA

Tipo doblemente enlazada.

See Also:
  Constant Field Values

#### tipo

    private final int tipo

El tipo elegido.

### Constructor Detail

#### Tipos

    public Tipos(int tipo)

Inicilizar el tipo de lista enlazada.

Parameters:
  `tipo` - int: El tipo de lista enlazada, 0, 1 o 2

### Method Detail

#### getTipo

    public int getTipo()

Devolver el tipo de lista enlazada.

Returns:
  int: El tipo.